<!doctype html>
<html>
<head>
    <title>August 2008 Progress Report | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="August 2008 Progress Report | Tor Project">
    <meta property="og:description" content="Releases Vidalia 0.1.7 (released August 2) fixes a bug that caused Vidalia to not recognize...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/august-2008-progress-report/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        August 2008 Progress Report
      </h1>
    <p class="meta">by phobos | September 21, 2008</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><strong>Releases</strong></p>

<p>Vidalia 0.1.7 (released August 2) fixes a bug that caused Vidalia to not recognize Tor's version correctly in Tor 0.2.0.x, adds an "nsh2po" tool that helps Pootle translate the Vidalia bundle installer strings, adds "TZ=UTC" to the BrowserExecutable's environment variables when launched via Vidalia, and updates the Czech, French, and German translations.<br />
<a href="http://trac.vidalia-project.net/browser/vidalia/tags/vidalia-0.1.7/CHANGELOG" rel="nofollow">http://trac.vidalia-project.net/browser/vidalia/tags/vidalia-0.1.7/CHAN…</a></p>

<p>Incognito 2008.1 (released August 2) is a Gentoo-based Tor LiveCD. This new release adds a "walkthrough" which will launch on startup; adds language support for Arabic, Green, Hebrew, Russian, and Swedish; improves the support for Chinese and Japanese fonts; adds support for VMWare and partial support for VirtualBox; switches to Tor 0.2.0.30 and Torbutton 1.2.0; and adds some new privacy-supporting software and removes some applications that are too likely to leak private information.<br />
<a href="https://svn.torproject.org/svn/incognito/trunk/ChangeLog" rel="nofollow">https://svn.torproject.org/svn/incognito/trunk/ChangeLog</a></p>

<p>Tor 0.2.1.3-alpha (released August 3) implements most of the pieces to prevent infinite-length circuit attacks (see proposal 110); fixes a bug that might cause exit relays to corrupt streams they send back; allows address patterns (e.g. 255.128.0.0/16) to appear in ExcludeNodes and ExcludeExitNodes config options; and fixes a big pile of bugs.<br />
<a href="http://archives.seul.org/or/talk/Aug-2008/msg00039.html" rel="nofollow">http://archives.seul.org/or/talk/Aug-2008/msg00039.html</a></p>

<p>Tor 0.2.1.4-alpha (released August 4) fixes a pair of crash bugs in 0.2.1.3-alpha.<br />
<a href="http://archives.seul.org/or/talk/Aug-2008/msg00039.html" rel="nofollow">http://archives.seul.org/or/talk/Aug-2008/msg00039.html</a></p>

<p>Tor Browser Bundle 1.1.2 (released August 9) updates Vidalia to version 0.1.6, updates Firefox to 2.0.0.16, updates Tor to 0.2.1.4-alpha, updates Torbutton to 1.2.0, and disables the TZ=UTC environment variable trick since Vidalia 0.1.7 now handles that for us.<br />
<a href="https://svn.torproject.org/svn/torbrowser/trunk/README" rel="nofollow">https://svn.torproject.org/svn/torbrowser/trunk/README</a></p>

<p>Vidalia 0.1.8 (released August 17) makes the bandwidth graph window look better for languages like Farsi, includes ssleay32.dll in the Windows packages so Vidalia won't crash when it finds an incompatible version of ssleay32.dll in the user's $PATH, makes "escape" and "return" shortcuts for the settings window, and fixes a variety of other bugs.<br />
<a href="http://trac.vidalia-project.net/browser/vidalia/tags/vidalia-0.1.8/CHANGELOG" rel="nofollow">http://trac.vidalia-project.net/browser/vidalia/tags/vidalia-0.1.8/CHAN…</a></p>

<p>Tor 0.2.0.30 (released July 15, announced August 21) switches to a more efficient directory distribution design, adds features to make connections to the Tor network harder to block, allows Tor to act as a DNS proxy, adds separate rate limiting for relayed traffic to make it easier for clients to become relays, fixes a variety of potential anonymity problems, and includes the usual huge pile of other features and bug fixes.<br />
<a href="http://archives.seul.org/or/announce/Aug-2008/msg00000.html" rel="nofollow">http://archives.seul.org/or/announce/Aug-2008/msg00000.html</a></p>

<p>Tor Browser Bundle 1.1.3 (released August 22) fixes a bug in the 0.1.2 release that messed up translations in the homepage, adds "small=1" to the homepage URL so it doesn't show the huge green onion by default, and updates Vidalia to 0.1.8.<br />
<a href="https://svn.torproject.org/svn/torbrowser/trunk/README" rel="nofollow">https://svn.torproject.org/svn/torbrowser/trunk/README</a></p>

<p>Tor 0.2.1.5-alpha (released August 31) moves us closer to handling IPv6 destinations, puts in a lot of the infrastructure for adding authorization to hidden services, lays the groundwork for having clients read their load balancing information out of the networkstatus consensus rather than the individual router descriptors, addresses two potential anonymity issues, and fixes a variety of smaller issues.<br />
<a href="http://archives.seul.org/or/talk/Sep-2008/msg00072.html" rel="nofollow">http://archives.seul.org/or/talk/Sep-2008/msg00072.html</a></p>

<p><strong>Blocking resistance</strong><br />
The Tor 0.2.1.3-alpha and 0.2.1.4-alpha releases include more fixes for hidden service performance and robustness, have slightly improved bootstrap status event behavior, and start hunting down a horrible bug that looks like it could leak private information:<br />
<a href="https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=779" rel="nofollow">https://bugs.torproject.org/flyspray/index.php?do=details&amp;id=779</a></p>

<p>Now that the Tor 0.2.0.30 release has been declared stable, ordinary users will finally get bridge features, the new harder-to-block network protocol, and other features by default.</p>

<p><strong>Core Development</strong><br />
We're working on a draft for a new "automatic software update" protocol, code-named Glider, that incorporates the previous proposals 153 and 154 but is easier to extend to other packages, and is easier to implement and maintain on the server side. We hope to have this new draft out as an actual proposal document, along with some early prototypes of the server side, in September.<br />
<a href="https://svn.torproject.org/svn/updater/trunk/specs/glider-spec.txt" rel="nofollow">https://svn.torproject.org/svn/updater/trunk/specs/glider-spec.txt</a><br />
Part of the ongoing development question is how to write the client side of this auto update engine in a convenient and easy language like Python, yet have it still be extremely compact on the client side -- since Windows doesn't include Python by default, shipping a Python interpreter with the auto updater could add 10MB to the package size.</p>

<p>Roger sent the list of "research directions we should look at" to or-dev, so more people could look at it:<br />
<a href="http://archives.seul.org/or/dev/Aug-2008/msg00031.html" rel="nofollow">http://archives.seul.org/or/dev/Aug-2008/msg00031.html</a><br />
We are working these items into a more comprehensive research and development roadmap; stay tuned.</p>

<p><strong>Advocacy</strong><br />
We answered a lot of press organizations about Tor and the Olympics this month. Our main goal was to explain to technical people how bridges work, what they're for, and explain that in most countries right now Tor works just fine out of the box, so bridges are the backup plan for later down the arms race. The CCC (and others) succeeded in making some good press articles, e.g.<br />
<a href="http://www.rsf.org/article.php3?id_article=27991" rel="nofollow">http://www.rsf.org/article.php3?id_article=27991</a><br />
<a href="http://www.guardian.co.uk/technology/2008/aug/07/censorship.hacking" rel="nofollow">http://www.guardian.co.uk/technology/2008/aug/07/censorship.hacking</a><br />
<a href="http://www.guardian.co.uk/commentisfree/2008/aug/05/china.censorship" rel="nofollow">http://www.guardian.co.uk/commentisfree/2008/aug/05/china.censorship</a></p>

<p>Roger attended Black Hat and Defcon. His Defcon talk was:<br />
"Attacks/Vulnerabilities on Tor: past, present, future"<br />
Slides are at <a href="http://freehaven.net/~arma/slides-dc08.pdf" rel="nofollow">http://freehaven.net/~arma/slides-dc08.pdf</a><br />
He had a packed room of 500+ people. Lucky Green summarized his take-away from the talk as "we would love to work with you if you find any problems with Tor, and we have a good track record of working well with the community." That sounds like what we were aiming for. We're still waiting for the video to come out so we can link to it from the documentation page.</p>

<p>We also talked a lot with the Mozilla people about privacy-impacting bugs in Firefox. We have a list now:<br />
<a href="https://www.torproject.org/torbutton/design/#FirefoxBugs" rel="nofollow">https://www.torproject.org/torbutton/design/#FirefoxBugs</a><br />
and should start looking for good Firefox developers to fix them and funding to incent them to do so.</p>

<p>We put up our mid-August NLnet reports:<br />
<a href="https://www.torproject.org/projects/hidserv#Aug08" rel="nofollow">https://www.torproject.org/projects/hidserv#Aug08</a><br />
<a href="https://www.torproject.org/projects/lowbandwidth#Aug08" rel="nofollow">https://www.torproject.org/projects/lowbandwidth#Aug08</a></p>

<p>Jacob spent a long week of hacking in Argentina, for DebConf 8 (the yearly Debian Conference). Lots of Tor advocacy.  Another box of Tor stickers applied to many many laptops. Lots of people were interested in Tor and many many people installed Tor on both laptops and servers. This advocacy resulted in at least two new high bandwidth nodes that he helped the administrators configure. The first is in Japan. The second is our first major high bandwidth node in New Zealand.</p>

<p>Coverity (coverity.com) is now scanning Tor. It found a bunch of minor memory leaks, a few false positives, and some other miscellaneous bugs. Nick fixed almost all of the bugs in a quick afternoon, excepting some testing code that has some resource leaks. Jacob is going to work on getting other Tor related projects into Coverity.</p>

<p>Mike Perry has been working lately on publicity for moving more high-profile websites to use SSL correctly. Last year at Defcon he reported a bug in how many sites (including GMail) handle their cookies: he basically described an easy way for anybody in Starbucks to steal your GMail cookie and log into your gmail account, even if you are always very careful to only use "https" when logging in to your gmail account. The attack works because cookies *can* be set with an "only present this cookie on an SSL connection" flag when they're created, but no sites actually set this flag because they are concerned about usability. This attack is easy to perform as a Tor exit relay too. This year, Mike presented an actual tool that performs this attack on a local wireless network in an automated way. Some high-profile sites are slowly moving to use more secure login approaches.</p>

<p>Matt Edman finished running the "Vidalia logo design contest". The contest resulted in 76 entries. There were a lot of questionable submissions (Vidalia ninjas?!), but there were also a few great ones. He is tending towards this entry as his choice for the new Vidalia logo:<br />
<a href="http://www.worth1000.com/view.asp?entry=479229" rel="nofollow">http://www.worth1000.com/view.asp?entry=479229</a></p>

<p><strong>Usability</strong><br />
Incognito 2008.1 (released August 2) is a Gentoo-based Tor LiveCD. This new release adds a "walkthrough" which will launch on startup; adds language support for Arabic, Green, Hebrew, Russian, and Swedish; improves the support for Chinese and Japanese fonts; adds support for VMWare and partial support for VirtualBox; switches to Tor 0.2.0.30 and Torbutton 1.2.0; and adds some new privacy-supporting software and removes some applications that are too likely to leak private information.<br />
<a href="https://svn.torproject.org/svn/incognito/trunk/ChangeLog" rel="nofollow">https://svn.torproject.org/svn/incognito/trunk/ChangeLog</a></p>

<p>Incognito now comes with much more thorough documentation about which software packages are included, and how they are configured:<br />
<a href="http://www.browseanonymouslyanywhere.com/incognito/uploadfiles/docs.html" rel="nofollow">http://www.browseanonymouslyanywhere.com/incognito/uploadfiles/docs.html</a></p>

<p>Incognito's next step is to work on a "hardened" option that uses a more secure kernel and other applications. The goal is to keep the same usability but be even less vulnerable to application-level and kernel-level attacks that could be used to gain access to the system and then try to unveil the user.</p>

<p>Tor Browser Bundle 1.1.2 (released August 9) updates Vidalia to release 0.1.6, updates Firefox to 2.0.0.16, updates Tor to 0.2.1.4-alpha, updates Torbutton to 1.2.0, and disables the TZ=UTC environment variable trick since Vidalia 0.1.7 now handles that for us.<br />
<a href="https://svn.torproject.org/svn/torbrowser/trunk/README" rel="nofollow">https://svn.torproject.org/svn/torbrowser/trunk/README</a></p>

<p>Tor Browser Bundle 1.1.3 (released August 22) fixes a bug in the 0.1.2 release that messed up translations in the homepage, adds "small=1" to the homepage URL so it doesn't show the huge green onion by default, and updates Vidalia to 0.1.8.<br />
<a href="https://svn.torproject.org/svn/torbrowser/trunk/README" rel="nofollow">https://svn.torproject.org/svn/torbrowser/trunk/README</a></p>

<p>We're working on a new branch of Vidalia that can be used in Tor Browser Bundle, for launching Firefox directly without needing the extra installer scripts called "Firefox Portable". If we get this working, then we can hopefully make progress on running multiple Firefoxes at once (one used for Tor launched by TBB, and one used for non-Tor).<br />
<a href="http://trac.vidalia-project.net/browser/vidalia/branches/alt-launcher" rel="nofollow">http://trac.vidalia-project.net/browser/vidalia/branches/alt-launcher</a></p>

<p>The German CCC organization put together a version of the Tor Browser Bundle called the "Freedom Stick" for use in teaching the media about the Chinese firewall and the Olympics:<br />
<a href="http://chinesewall.ccc.de/freedomstick-en.html" rel="nofollow">http://chinesewall.ccc.de/freedomstick-en.html</a></p>

<p><strong>Scalability</strong><br />
From the Tor 0.2.1.5-alpha ChangeLog:<br />
"More progress toward proposal 141: Network status consensus documents and votes now contain bandwidth information for each router and a summary of that router's exit policy. Eventually this will be used by clients so that they do not have to download every known descriptor before building circuits."</p>

<p>We're worked on getting "Tor Weather" back up and working:<br />
<a href="https://weather.torproject.org/" rel="nofollow">https://weather.torproject.org/</a><br />
Weather is a service to let relay operators get notified when their relay is unreachable for an extended period of time. It's still in its early experimental stages, but it's already proved useful to its early testers.  It's also using SSL as its base URL now. </p>

<p>Jacob has also been working on a Tor network map, to visualize where our relays are. Using all of the known descriptors, it maps each node with some GeoIP code and plot it onto a map. You can interact with the data to see the IP address of each node, the node name and the city/country information if we could find it. Sadly, it *will* lock your browser up for one or two minutes, as there's a lot of data to parse:<br />
<a href="http://freehaven.net/~ioerror/maps/v3-tormap.html" rel="nofollow">http://freehaven.net/~ioerror/maps/v3-tormap.html</a></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/localization">
          localization
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li><li>
        <a href="../category/reports">
          reports
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-252"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-252" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 21, 2008</p>
    </div>
    <a href="#comment-252">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-252" class="permalink" rel="bookmark">You should include URLs to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You should include URLs to projects not listed on the main Tor site so we don't have to go searching for real information outside of a change log...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-263"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-263" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-252" class="permalink" rel="bookmark">You should include URLs to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-263">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-263" class="permalink" rel="bookmark">URLS</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can you provide an example?  I can do this, I'm just wondering which outside projects we didn't link to in the post.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-253"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-253" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 21, 2008</p>
    </div>
    <a href="#comment-253">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-253" class="permalink" rel="bookmark">unable to change network preferences in OS 10.4.11</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>Just installed lastest TOR vidalia bundle 0.1.9. And now unable to change network preferences from TOR configuration back to regular. The window pane appears and won't allow the enable button to change back to normal.</p>
<p>Running Apple OS 10.4.11</p>
<p>thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-265"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-265" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-253" class="permalink" rel="bookmark">unable to change network preferences in OS 10.4.11</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-265">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-265" class="permalink" rel="bookmark">Did you click the lock and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Did you click the lock and login as in admin?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-254"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-254" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 21, 2008</p>
    </div>
    <a href="#comment-254">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-254" class="permalink" rel="bookmark">&#039;Tor Disabled&#039; message remains after uninstall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm using Firefox.</p>
<p> I uninstalled Tor after using it for a day because there are some issues with fitting it in with my pattern of internet working.</p>
<p> But the message 'Tor Disabled' remains, in red, in the bar at the bottom of the screen.</p>
<p> It is more than just a message. If I click on it then it will change to 'Tor Enabled' in green and I'll start to get errors from Firefox because it can't find proxy.</p>
<p> Can anyone tell me how to get rid of this?</p>
<p> regards,</p>
<p> ab  :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-264"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-264" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-254" class="permalink" rel="bookmark">&#039;Tor Disabled&#039; message remains after uninstall</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-264">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-264" class="permalink" rel="bookmark">ff uninstall</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You need to uninstall torbutton manually.  In Tools Menu, Choose Add-ons.  Select Torbutton, and click the uninstall button.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9868"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9868" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 10, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-254" class="permalink" rel="bookmark">&#039;Tor Disabled&#039; message remains after uninstall</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-9868">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9868" class="permalink" rel="bookmark">I should have paid attention</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I should have paid attention when I first downloaded Tor and a message said it could harm my computer! It did. There is no UNinstall. And I was told any software byprofessionals will ALWAYS have an UNinstall. Anyway I have several messages now that I have to click off every morning because of Tor. It is NOT good software. You CANNOT UNINSTALL IT PROPERLY!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-9870"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9870" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">April 10, 2011</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-9868" class="permalink" rel="bookmark">I should have paid attention</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-9870">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9870" class="permalink" rel="bookmark">What did you install?  If</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What did you install?  If you downloaded the tor browser bundle, there is no installation, and therefore no uninstallation.  Just delete the directory and it's gone.</p>
<p>Or, <a href="https://www.torproject.org/docs/faq.html.en#HowUninstallTor" rel="nofollow">https://www.torproject.org/docs/faq.html.en#HowUninstallTor</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-255"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-255" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>abrogard (not verified)</span> said:</p>
      <p class="date-time">September 21, 2008</p>
    </div>
    <a href="#comment-255">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-255" class="permalink" rel="bookmark">Your Captcha is too difficult</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's better Captchas than that available out there - for free. I took me four attempts to make my last posting.</p>
<p> :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-256"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-256" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>abrogard (not verified)</span> said:</p>
      <p class="date-time">September 21, 2008</p>
    </div>
    <a href="#comment-256">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-256" class="permalink" rel="bookmark">Why don&#039;t you have a Forum?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There's excellent free Forum software, such as Yabb, out there. I think a Forum would be very desirable for this Tor thing. Might I suggest you look into it. Or maybe I should set one up for you and you provide a link to it?</p>
<p>regards,</p>
<p> ab :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-266"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-266" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-256" class="permalink" rel="bookmark">Why don&#039;t you have a Forum?</a> by <span>abrogard (not verified)</span></p>
    <a href="#comment-266">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-266" class="permalink" rel="bookmark">no forum </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor doesn't have an official forum.  Having a forum implies we're going to reply and provide support.  We would also want to make sure the forum discussions and advice were relevant and providing accurate information.  We don't have the resources to handle forum support at this time.  The mail lists and irc channel are the best we can offer at this time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-761"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-761" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 02, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-256" class="permalink" rel="bookmark">Why don&#039;t you have a Forum?</a> by <span>abrogard (not verified)</span></p>
    <a href="#comment-761">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-761" class="permalink" rel="bookmark">Forum..</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I second the idea of a Forum. </p>
<p>I can appreciate the concerns of the Tor Personnel in relation to time and resources, however, the benefits of having a Forum might outweigh the 'costs' of organising and maintaining it. </p>
<p>Further, it will offer an opportunity for the folks interested in the core objectives of the Project to air some ideas and bounce them off each other; which could only speed up further development activities in the right direction.</p>
<p>Have a nice day guys!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-769"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-769" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">March 04, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-761" class="permalink" rel="bookmark">Forum..</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-769">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-769" class="permalink" rel="bookmark">agreed</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We see the benefits of a forum, we just lack the time to set one up and maintain it.  We feel that writing code to improve Tor is a better use of our time and discussing the ideas in a forum.  The best places to discuss code and ideas with us is on the mailing lists, irc channels, or face to face at one of the many conferences we attend.</p>
<p>Our goal is to have a forum of some sort online this year.  Anyone want to help?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-257"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-257" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 22, 2008</p>
    </div>
    <a href="#comment-257">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-257" class="permalink" rel="bookmark">TORPROJECT NEEDS A FORUM</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TORPROJECT NEEDS A FORUM for users having trouble installing TOR.  Please consider allowing the forum to run on an SSL server and a normal web server.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-770"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-770" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">March 04, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-257" class="permalink" rel="bookmark">TORPROJECT NEEDS A FORUM</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-770">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-770" class="permalink" rel="bookmark">of course</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Would we not run a forum over ssl and maintain zero logs?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-258"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-258" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 22, 2008</p>
    </div>
    <a href="#comment-258">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-258" class="permalink" rel="bookmark">CAPTASH|T UNREADABLE</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@)%*#)@*^%() &lt;-- Captcha</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-259"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-259" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 22, 2008</p>
    </div>
    <a href="#comment-259">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-259" class="permalink" rel="bookmark">Getting Tor to NOT use serves in a geographical area</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is there any way to prevent Tor from using servers in a geographical area ?<br />
For example, I may wish to prevent any servers from country A from being used to form circuits.</p>
<p>Many thank you's for any help.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-267"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-267" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-259" class="permalink" rel="bookmark">Getting Tor to NOT use serves in a geographical area</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-267">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-267" class="permalink" rel="bookmark">Right now, Tor/Vidalia</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Right now, Tor/Vidalia cannot do this.  If you're using linux, try TorK.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-269"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 28, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-269">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269" class="permalink" rel="bookmark">Thanks.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-260"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-260" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://The-Sexy-Iguana.com">Anonymous (not verified)</a> said:</p>
      <p class="date-time">September 23, 2008</p>
    </div>
    <a href="#comment-260">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-260" class="permalink" rel="bookmark">Please help me enable Tor relay through Panda Security 2008</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm hoping someone can direct me to information on how to configure Tor relay with Panda Security 2008.</p>
<p>I'd like to give back to the Tor community by enabling my computer as a relay, but I can't figure out how to convince Panda Firewall to allow Tor/Vidalia/Pivoxy to receive incoming connections.</p>
<p>A previous comment said to open ports in router/firewall software. Panda Security doesn't provide this option (as far as I can see).</p>
<p>More specific assistance would be greatly appreciated.</p>
<p>Any suggestions on where to go to get help with this?</p>
<p>Much thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-261"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-261" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 23, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-260" class="permalink" rel="bookmark">Please help me enable Tor relay through Panda Security 2008</a> by <a rel="nofollow" href="http://The-Sexy-Iguana.com">Anonymous (not verified)</a></p>
    <a href="#comment-261">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-261" class="permalink" rel="bookmark">RE: Please help me enable Tor relay through Panda Security 2008</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi there,</p>
<p>The router software resides at the boundary of your computers network. Its the physical box that connects you to the Net. It will have an administration page to enable you to modify its operating parameters. You usually access this from a browser. You'll need the routers admin url to do this, then usually log in.</p>
<p>The panda firewall resides on your local machine.</p>
<p>Provided you can either:<br />
A: Put your machine's IP address in the DMZ field for the router, or<br />
B. Find the port forwarding settings for the router and route these ports to your machines MAC address or IP address, depending on the router. If you use the IP address for port forwading, you also need to ensure that IP address is set aside for your PC, so it always gets issued that IP address during DCHP solicitation.</p>
<p>This may sound a little complex at first, or forgive me if you are familiar with this already.</p>
<p>If you need more help, I can give you more detailed instructions, if you can tell me what router model you have.</p>
<p>In all cases, I hope this helps,</p>
<p>CAv.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-262"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-262" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://brassrazoo.org/forum">abrogard (not verified)</a> said:</p>
      <p class="date-time">September 24, 2008</p>
    </div>
    <a href="#comment-262">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-262" class="permalink" rel="bookmark">FORUM FOR TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In the interests of showing willingness to help I've put up a Forum at:</p>
<p> <a href="http://brassrazoo.org/forum" rel="nofollow">http://brassrazoo.org/forum</a></p>
<p>for TOR users.</p>
<p> It is only intended as a stop gap measure until someone does something better but if it is useful to anyone then please use it.</p>
<p>It was put up just five minutes ago, I've no more available time at the moment, so bear with it. There's nothing there. Only one forum, one welcome posting. </p>
<p>But it is a forum. It is yours to use if you wish.</p>
<p>regards,</p>
<p>ab :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-270"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 28, 2008</p>
    </div>
    <a href="#comment-270">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270" class="permalink" rel="bookmark">Can I use Tor on this Mac OS Power PC ?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can I use Tor on this Mac OS Power PC ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-271"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-271" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 29, 2008</p>
    </div>
    <a href="#comment-271">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-271" class="permalink" rel="bookmark">Can I use Tor on this Mac OS Power PC ?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i tried the vidalia 9 universal bundle and it said the program that created it could not be found</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-273"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-273" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 30, 2008</p>
    </div>
    <a href="#comment-273">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-273" class="permalink" rel="bookmark">Making TOR more anonymous</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I had an idea of how to make TOR more anonymous. It basically means connecting to TWO relays.</p>
<p>Step 1. Connect to Relay#1 and Relay#2<br />
Step 2. Relay#1(or #x, #x being anywhere in the circuit) connects to Relay#2<br />
Step 3. Request Data normally.<br />
Step 4. Instead of Relay#1 sending the data back to you, it is subverted to Relay#2.<br />
Step 5. Relay#5 Sends the data to you.</p>
<p>This looks like 2 seperate 1-way connections rather than just a proxy.</p>
<p>Any suggestions?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-274"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-274" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 30, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-273" class="permalink" rel="bookmark">Making TOR more anonymous</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-274">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-274" class="permalink" rel="bookmark">Opps, Relay#2 sends data,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Opps, Relay#2 sends data, not #5.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-276"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-276" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 04, 2008</p>
    </div>
    <a href="#comment-276">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-276" class="permalink" rel="bookmark">i love tor any new updates 4</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i love tor any new updates 4 tor browser bundles . Please update it</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-277"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-277" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 06, 2008</p>
    </div>
    <a href="#comment-277">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-277" class="permalink" rel="bookmark">Tor is very slow. Please</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is very slow. Please Help.</p>
<p>I'm running tor on linux but seems to be pretty slow. Do you have any ideas?<br />
Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-278"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-278" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 06, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-277" class="permalink" rel="bookmark">Tor is very slow. Please</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-278">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-278" class="permalink" rel="bookmark">go to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>go to :<br />
<a href="http://wiki.noreply.org/noreply/TheOnionRouter/FireFoxTorPerf" rel="nofollow">http://wiki.noreply.org/noreply/TheOnionRouter/FireFoxTorPerf</a></p>
<p>;-)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-281"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-281" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 09, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-278" class="permalink" rel="bookmark">go to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-281">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-281" class="permalink" rel="bookmark">Thanks! You&#039;ve been really</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks! You've been really helpful!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-279"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-279" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 08, 2008</p>
    </div>
    <a href="#comment-279">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-279" class="permalink" rel="bookmark">Hi, My English is not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, My English is not perfect so maybe its already written somewhere on this site but i didn´t found it. Here are the Q<br />
If Alice and Bob are connected through game, it will also hide the connection between them? Or it works only for internet browsers?</p>
<p>and second one</p>
<p>If Alice needs to create several connections to Bob, will it be with same nodes or each connection will be provided by different path?</p>
<p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-290"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-290" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 14, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-279" class="permalink" rel="bookmark">Hi, My English is not</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-290">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-290" class="permalink" rel="bookmark">An answer to the first</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>An answer to the first question is yes, tor works at a TCP layer.  Any tcp applications, of which a webbrowser is one, will have the traffic anonymized in transit.</p>
<p>An answer to the second question is most likely over the same circuit.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-280"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-280" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 08, 2008</p>
    </div>
    <a href="#comment-280">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-280" class="permalink" rel="bookmark">how to speed up the connection with tor?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>my PC get bugged.. how to speed up? thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-282"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-282" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 10, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-280" class="permalink" rel="bookmark">how to speed up the connection with tor?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-282">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-282" class="permalink" rel="bookmark">set a few entryguards with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>set a few entryguards with strict entrynodes:</p>
<p>StrictEntryNodes 1<br />
EntryNodes [name], [fingerprint]</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-283"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-283" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>halljw (not verified)</span> said:</p>
      <p class="date-time">October 11, 2008</p>
    </div>
    <a href="#comment-283">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-283" class="permalink" rel="bookmark">trying to start TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Everytime i try to start TOR i keep getting a message to enter my control password. I do not have a password and was never asked to set one up any ideas.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-289"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 14, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-283" class="permalink" rel="bookmark">trying to start TOR</a> by <span>halljw (not verified)</span></p>
    <a href="#comment-289">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289" class="permalink" rel="bookmark">https://wiki.torproject.org/n</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#TorPasswordPrompt" rel="nofollow">https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ#TorPasswordPr…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-284"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-284" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://zoomsguesthouse.informe.com/portal.html">Anonymous (not verified)</a> said:</p>
      <p class="date-time">October 13, 2008</p>
    </div>
    <a href="#comment-284">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-284" class="permalink" rel="bookmark">TOR for Opera?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi there,<br />
I've just downloaded TOR and everything with its installation is just fine but I have the following issue: for certain reasons I must use Opera browser as Firefox causes some troubles, and it will be like this until I reinstall my entire Windows. Could you, please, provide me with info about how to activate TOR in Opera? Are they compatible at all?<br />
Thanks in advance</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 14, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-284" class="permalink" rel="bookmark">TOR for Opera?</a> by <a rel="nofollow" href="http://zoomsguesthouse.informe.com/portal.html">Anonymous (not verified)</a></p>
    <a href="#comment-288">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288" class="permalink" rel="bookmark">Users tell us the current</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Users tell us the current version of Opera works with Tor and doesn't leak dns requests anymore.  You'll need to configure Opera to talk to tor as a proxy server on "localhost:9050".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-422"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-422" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 07, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-422">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-422" class="permalink" rel="bookmark">well what version is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>well what version is current? Opera have no own support for socks but instead point user to use sockscap so my own efort to get this thing to work is a bit hard.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-286"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>LINUXPWNS (not verified)</span> said:</p>
      <p class="date-time">October 13, 2008</p>
    </div>
    <a href="#comment-286">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286" class="permalink" rel="bookmark">TOR &amp; NOSCRIPT PROBLEM</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've been having problems using Firefox 3 with NOSCRIPT &amp; TOR together. This is my config:</p>
<p>NOSCRIPT<br />
TOR<br />
HTTPSENDREFFER .... modified to 0 so no page knows where I came from.<br />
All Java off etc<br />
Cookies off..</p>
<p>Anyways, everytime I have noscript installed with TOR, whenever I try and load a page, it cannot connect with NOSCRIPT being installed. When I uninstall NOSCRIPT, TOR works fine, otherwise it doesn't work with it. Any suggestions?</p>
<p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-287"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-287" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 14, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286" class="permalink" rel="bookmark">TOR &amp; NOSCRIPT PROBLEM</a> by <span>LINUXPWNS (not verified)</span></p>
    <a href="#comment-287">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-287" class="permalink" rel="bookmark">If you remove noscript and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you remove noscript and leave javascript disabled, does that work?  I'm fairly sure you need to have the Firefox setting for javascript enabled for noscript to work correctly.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-291"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-291" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 15, 2008</p>
    </div>
    <a href="#comment-291">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-291" class="permalink" rel="bookmark">Getting Tor to &#039;New Identity&#039;</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi Folks,</p>
<p>Is there a way to persuade Tor to get a 'New Identity' on an interval ?</p>
<p>I use this feature at times on sites that try to block Tor, and was hoping to make it an automated behaviour.</p>
<p>I am on Windows, with Vidalia 0.1.9.</p>
<p>Many thanks in advance.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-292"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-292" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2008</p>
    </div>
    <a href="#comment-292">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-292" class="permalink" rel="bookmark">Installation problem</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have repeatedly tried to install the latest stable OS X package (both the PPC and the Universal versions) but only get a cryptic try-again message right at the very end of the process. Can anyone direct me to where help and/or suggestions might be available? Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-294"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-294" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>fiber (not verified)</span> said:</p>
      <p class="date-time">October 16, 2008</p>
    </div>
    <a href="#comment-294">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-294" class="permalink" rel="bookmark">Is there a actual Tor Router?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was just turned on to Tor yesterday and heard there is a actual "Onion router" which is wireless. is this true? If so where do you get it? Since I am new to this Tor thing I dont get it..... </p>
<p>Is it just for browsing?<br />
If I want to use Bit torrent does it still hide you?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-296"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-296" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 16, 2008</p>
    </div>
    <a href="#comment-296">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-296" class="permalink" rel="bookmark">Tor is software, there is no</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is software, there is no hardware router product from The Tor Project.  There may be commercial routers which include Tor however.  This will help you understand what tor is for, <a href="https://www.torproject.org/overview.html.en" rel="nofollow">https://www.torproject.org/overview.html.en</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-304"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-304" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 20, 2008</p>
    </div>
    <a href="#comment-304">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-304" class="permalink" rel="bookmark">Running Blossom</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I read that with Blossom you can specify a specific country you want Tor to connect to. But I saw the site was offline. Is there an alternative for Blossom?<br />
Thanks in advance for your reply!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-378"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-378" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">November 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-304" class="permalink" rel="bookmark">Running Blossom</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-378">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-378" class="permalink" rel="bookmark">https://svn.torproject.org/sv</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://svn.torproject.org/svn/blossom/trunk/" rel="nofollow">https://svn.torproject.org/svn/blossom/trunk/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-305"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-305" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 20, 2008</p>
    </div>
    <a href="#comment-305">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-305" class="permalink" rel="bookmark">IP address</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi. I'm pretty new to Tor and I really like the software and am using it with Firefox 'fitted with Torbutton'.  My question is, is there a way to make Tor stay in one IP address longer?  It seems to change IP address every say from between 10 to 30 seconds.  I'd like it to stay in one IP longer than that. Perhaps this question had been asked before, if so would someone kindly point a link. Thank you in advance.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-379"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-379" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">November 18, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-305" class="permalink" rel="bookmark">IP address</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-379">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-379" class="permalink" rel="bookmark">Look at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Look at <a href="http://www.torproject.org/tor-manual.html.en" rel="nofollow">http://www.torproject.org/tor-manual.html.en</a>  and the setting for TrackHostExits</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-366"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-366" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anu (not verified)</span> said:</p>
      <p class="date-time">November 14, 2008</p>
    </div>
    <a href="#comment-366">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-366" class="permalink" rel="bookmark">hi.whenever i connect to tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi.whenever i connect to tor it says unable to start tor..check if the correct path of tor executable is set..the path is correct only...but it is not running..please help....</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-380"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-380" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://bzrclan.mydiscussionboard.com">burr (not verified)</a> said:</p>
      <p class="date-time">November 19, 2008</p>
    </div>
    <a href="#comment-380">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-380" class="permalink" rel="bookmark">i love this program i use it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i love this program i use it for a cleanser of ip bans on a game i play so they ban ip<br />
i hit the subernet or w/e button and can join banned games cool program</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-381"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-381" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>burr (not verified)</span> said:</p>
      <p class="date-time">November 19, 2008</p>
    </div>
    <a href="#comment-381">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-381" class="permalink" rel="bookmark">i dont own the tor project</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i dont own the tor project site but i would say you need to go in the folder that says tor in it and select that folder for path ,and for me it runs in cmd prompt /mosds mode to run and when i hit run tor it loads for about 5 to 7 mins before it works</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-382"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-382" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">November 20, 2008</p>
    </div>
    <a href="#comment-382">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-382" class="permalink" rel="bookmark">Need updates 4 tor browser bundle</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>any updates for tor browser bundle? i need updates  4 tor browser  bundle. tor is getting slow &amp; weakened. most of the hidden sites  r down or cant acess it.wat is the solution 4 tat please tell me?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-386"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-386" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">November 21, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-382" class="permalink" rel="bookmark">Need updates 4 tor browser bundle</a> by <span>PETER (not verified)</span></p>
    <a href="#comment-386">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-386" class="permalink" rel="bookmark">actually</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>performance is circuit dependent.  but yes, an updated tor bundle is coming.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-388"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-388" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">November 21, 2008</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-388">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-388" class="permalink" rel="bookmark">thanx phobos ! i am waiting</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanx phobos ! i am waiting 4  a updated tor browser bundle.hope it will come soon</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-383"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-383" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">November 21, 2008</p>
    </div>
    <a href="#comment-383">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-383" class="permalink" rel="bookmark">any chance of tor bundle</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>any chance of tor bundle browser bundle 1.1.5 ? Please update it from tor browser 1.1,4 to 1.1.5.thanx</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-389"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-389" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 21, 2008</p>
    </div>
    <a href="#comment-389">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-389" class="permalink" rel="bookmark">Tor and compression</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi there all,</p>
<p>Has anyone considered compression for Tor's data stream ?</p>
<p>If its not implemented already, given a compression ratio for text data of 90%, the entire Tor network would then be able to provide the same performance with 10 times the data being moved.</p>
<p>I was thinking that this is feasible, since Tor (until the data leaves the circuit at both ends) is a closed system, so compressing the data stream on its way through a circuit is possible ?</p>
<p>Does anyone have any thoughts on this ?</p>
<p>Open source compression libraries exist to make implementing this free from licensing too....</p>
<p>Would love to hear some thoughts</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-760"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-760" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>bhavin (not verified)</span> said:</p>
      <p class="date-time">March 02, 2009</p>
    </div>
    <a href="#comment-760">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-760" class="permalink" rel="bookmark">need new identity</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i have windows xp with vidalia bundle installed on it.<br />
i want to change to New Identity through without using Vidalia Bundle.<br />
Please let me know how to do this and how to  use tor commands too in windows.</p>
<p>please reply.i tried everywhere on web. today i am here to ask your experts.<br />
waiting.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1409"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1409" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>leutnanthathi (not verified)</span> said:</p>
      <p class="date-time">May 25, 2009</p>
    </div>
    <a href="#comment-1409">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1409" class="permalink" rel="bookmark">tor &amp; nas</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi, i am using an nas storage incl. a torrent client. if i connect to "tor" i cannot actually reach my nas box anymore. how come? further, i am not sure if my box actually connects to "tor" since i cannot connect to it and thus i am visible with all my activities from the box. can anyone help?<br />
cheers<br />
leutnant hathi</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1639"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1639" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1409" class="permalink" rel="bookmark">tor &amp; nas</a> by <span>leutnanthathi (not verified)</span></p>
    <a href="#comment-1639">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1639" class="permalink" rel="bookmark">TOR &amp; NAS &amp; ix2</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi!</p>
<p>I have the same problem as leutnant hathi. I use an iomega ix2 NAS (network access storage) for torrent downloads independently from the PC.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2960"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2960" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 27, 2009</p>
    </div>
    <a href="#comment-2960">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2960" class="permalink" rel="bookmark">Marry X&#039;mas,did you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Marry X'mas,did you prepareed :) your kids or your lover a gift.<a href="http://www.tiffanyonlinestore.co.uk/" rel="nofollow"><strong>tiffany jewelry</strong></a> was the most lovely bling-bling for you girl friend or you little beautiful princess.<a href="http://www.tiffanyonlinestore.us/7-tiffany-rings" rel="nofollow"><strong>tiffany rings</strong></a>:),<a href="http://www.tiffanyonlinestore.co.uk/3-tiffany-necklaces" rel="nofollow">tiffany necklaces</a> made from silver not too much expensive and also bring you great value,<br />
<a href="http://www.buyreplicawatch.com/" rel="nofollow"><strong>replica watches</strong></a> were excellent choice.most replica watches were not easy tell from the original one.By only take a glance at the <a href="http://www.buyreplicawatch.com/rolex-datejusts-watches-c-12.html" rel="nofollow">Replica Rolex</a> no body could tell it from a genuine one.:) from micheal</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4105"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4105" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 25, 2010</p>
    </div>
    <a href="#comment-4105">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4105" class="permalink" rel="bookmark">Thanks for taking the time</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for taking the time to discuss this, I feel strongly about it and love learning more on this topic. If possible, as you gain expertise, would you mind updating your blog with more information? It is extremely helpful for me.<br />
<a href="http://www.idealweddingdresses.com/" rel="nofollow"><strong>wedding dresses</strong></a><br />
<a href="http://www.idealweddingdresses.com/bridesmaid-dress-12" rel="nofollow"><strong>Bridesmaid Dresses</strong></a><br />
<a href="http://www.idealweddingdresses.com/mother-of-bride-dresses-13" rel="nofollow"><strong>Mother Of The Bride Dresses</strong></a><br />
<a href="http://www.idealweddingdresses.com/flower-girls-dress-16" rel="nofollow"><strong>Flower Girl Dresses</strong></a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9387"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9387" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 27, 2011</p>
    </div>
    <a href="#comment-9387">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9387" class="permalink" rel="bookmark">Hello I got Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello I got Tor problems.<br />
Here are the logs from tor!<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.<br />
Feb 27 15:23:33.699 [Warning] No available nodes when trying to choose node. Failing.</p>
<p>Pls help :/</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-12662"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-12662" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 14, 2011</p>
    </div>
    <a href="#comment-12662">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-12662" class="permalink" rel="bookmark">A font is a set of printable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A <a href="http://www.sppea.org/resultato/font/" rel="nofollow">font</a> is a set of printable or displayable text character s in a specific style and size. For more information just visit this site </p>
<p><a href="http://www.sppea.org" rel="nofollow">www.sppea.org</a></p>
<p>Lea<br />
<a href="http://www.sppea.org" rel="nofollow">www.sppea.org</a><br />
<a href="http://www.sppea.org/" rel="nofollow">Daily Reference</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
